Skip to main content

List tasks

GET /v1/tasks

Tasks in your projects.

Authentication​

Send a token issued in the Zoopit dashboard as Authorization: Bearer <token>.

Query parameters​

NameTypeRequired
offsetnumber
limitnumber
orderarray of array of tuple
wherearray of object
selectarray of "_places_time_windows_earliest_end" | "_places_time_windows_earliest_start" | "_places_time_windows_latest_end" | "_places_time_windows_latest_start" | "amounts" | "attributes" | "created_at" | "created_by" | "deleted_at" | "deleted_by" | "id" | "modified_at" | "modified_by" | "order_id" | "owners" | "places" | "tags" | "type" | "type_alias"

Responses​

200​

resource: array of PartialTaskWithId

FieldTypeRequired
attributesobject
type"delivery" | "pickup" | "replacement" | "service"
amountsobject
created_atstring
modified_atnull or string
deleted_atnull or string
created_bystring
modified_bynull or string
deleted_bynull or string
ownersarray of string
tagsarray of string
order_idstring
type_aliasnull or string
placesarray of object
_places_time_windows_earliest_startnull or string
_places_time_windows_latest_startnull or string
_places_time_windows_earliest_endnull or string
_places_time_windows_latest_endnull or string
idstringyes

Example​

curl -X GET 'https://orders-api.cloud.zoopit.no/v1/tasks'
-H 'Authorization: Bearer <token>'

Try it in the interactive Orders API reference.

Field descriptions, guides and worked examples are in the full reference, available to customers in the Zoopit dashboard under Accounts → Developer.